Bug 142590 - FILEOPEN PPTX Custom slideshow to use setting is not imported
Summary: FILEOPEN PPTX Custom slideshow to use setting is not imported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords: filter:pptx
Depends on:
Blocks: PPTX-SlideShowSettings
  Show dependency treegraph
 
Reported: 2021-05-31 17:32 UTC by NISZ LibreOffice Team
Modified: 2021-07-05 06:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from PowerPoint with two custom slideshows, one set as default (35.40 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2021-05-31 17:32 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in PowerPoint and Impress (105.87 KB, image/png)
2021-05-31 17:32 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-05-31 17:32:02 UTC
Created attachment 172508 [details]
Example file from PowerPoint with two custom slideshows, one set as default

This is a followup to bug #131390 
Attached example PPTX file contains two custom slideshows, with “Custom2” set to be used by default.
When opening in Impress, this setting is not imported.

Steps to reproduce:
    1. Open attached file in Impress
    2. Open Slide Show – Slide Show Settings

Actual results:
Under Range the All slides option is selected.

Expected results:
Under Range the Custom slide show setting should be selected with Custom2 in the dropdown selected.

LibreOffice details:
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 187136265d26c014e842550c2f1fc5997736e4fa
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-05-31 17:32:54 UTC
Created attachment 172509 [details]
Screenshot of the original document side by side in PowerPoint and Impress
Comment 2 Timur 2021-06-01 09:10:34 UTC
Repro 7.2+ for PPTX (no repro for PPT).
In MSO, this is Slide Show - Set Up Slide Show.
Comment 3 Commit Notification 2021-06-21 12:09:34 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8bf44b9cdceb7926fe52ef0bd4a38af24e7c700a

tdf#142590 PPTX import: fix custom slide show use as default

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-06-21 15:54:23 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/11ef976624dce8a8e50a1eb20e9c586519fd7ec8

tdf#142590 PPTX import: fix custom slide show use as default

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2021-07-05 06:55:54 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3964e0854507b2696ae0fbe48a4fb005c779947e
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: en-DK (hu_HU); UI: en-GB
Calc: threaded